import * as React from 'react';
import type { Meta } from '@storybook/react';
import { KeyValueTable as Component, KeyValueTableProps as Props } from '.';

const meta: Meta<typeof Component> = {
	component: Component,
	argTypes: {},
	args: {
		...(Component.defaultProps ?? {}),
	},
};

export const KeyValueTable = (args: Omit<Props, 'ref'>) => (
	<Component
		{...args}
	/>
);

export default meta;
